[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#669348: [Pkg-phototools-devel] Bug#675773: Bug#675773: libopenjpeg2: Please make libopenjpeg2 multi-arch: same



On Thu, Jun 28, 2012 at 10:46 PM, Michael Gilbert <mgilbert@debian.org> wrote:
>>> Can I have a little context here? Why is it important enough to have
>>> multi-arch openjpeg to do an NMU just before the freeze?
>>
>> Hi Michael;
>>
>> It seems we need more time to discuss this, so I cancelled the upload
>> for now.
>>
>> Personally I think it would be better to wait until after the openjpeg5
>> transition and then work on multiarchifying the latest version of the
>> library, presumably after the freeze.  If there is some urgent reason to
>> push through multiarch at this time, I leave you and Mathieu (who is
>> an upstream maintainer and the main person interested on the debian
>> side) to sort that out.
>
> The goal was to get multiarch enabled in all of wine's dependencies.
> openjpeg 1.5 is already multiarched, but that has yet to hit unstable.
>  There is a lot of apparent brokenness in that transition, so 1.3 may
> be with us for a while:
> http://release.debian.org/transitions/html/openjpeg.html

There is not a single 'brokenness'. openjpeg 1.5 is still in
experimental. It needs a source uploads in unstable and a couple of
deps needs binNMU that is all. API is preserved not ABI that's all.

> The libopenjpeg2 dependency addition is a mistake, and I'll remove that.
>
> So, I would like to go ahead with the nmu again (with the above
> fixed).  Would that be ok from your perspective?

Well for me working on #669348 would be make so much more sense
(fixing CVEs and tons of bugs), but if you have time for this, go
ahead...



Reply to: